<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>netstandard2.0</TargetFramework>
    <LangVersion>10</LangVersion>
    <AssemblyName>MultiWheelC</AssemblyName>
    <RootNamespace>MultiWheelC</RootNamespace>
    <AppendTargetFrameworkToOutputPath>false</AppendTargetFrameworkToOutputPath>
    <OutputPath>build\Clumsy\</OutputPath>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="System.Numerics.Vectors" Version="4.6.1" />
  </ItemGroup>

  <ItemGroup>
    <Compile Include="..\Shared\**\*.cs"
             Link="Shared\%(RecursiveDir)%(Filename)%(Extension)" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="LessokajiWeaverUtilities">
      <HintPath>ref\LessokajiWeaverUtilities.dll</HintPath>
    </Reference>
    <Reference Include="MDCSToolBox">
      <HintPath>ref\MDCSToolBox.dll</HintPath>
    </Reference>
    <Reference Include="ClumsyCore">
      <HintPath>ref\RefClumsyCore.dll</HintPath>
    </Reference>
    <Reference Include="ClumsyDance">
      <HintPath>ref\RefClumsyDance.dll</HintPath>
    </Reference>
    <Reference Include="FundamentalLib">
      <HintPath>ref\RefFundamentalLib.dll</HintPath>
    </Reference>
    <Reference Include="CommonUsage">
      <HintPath>..\ref\CommonUsage.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>
